<!doctype html>  

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ --> 
<!--[if IE 7 ]>    <html lang="en" class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" class="no-js"> <!--<![endif]-->
  <head>
    <meta charset="utf-8">
    
    <!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame 
	 Remove this if you use the .htaccess -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    
    <title>TextGrid Basket</title>
    <meta name="description" content="">
    <meta name="author" content="">
    
    <!--  Mobile viewport optimized: j.mp/bplateviewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <!-- Place favicon.ico & apple-touch-icon.png in the root of your domain and delete these references -->
    <link rel="shortcut icon" href="/favicon.ico">
    <link rel="apple-touch-icon" href="/apple-touch-icon.png">
    
    <!-- CSS : implied media="all" -->
    <link rel="stylesheet" href="css/style.css?v=2">
    
    <!-- All JavaScript at the bottom, except for Modernizr which enables HTML5 elements & feature detects -->
    <script src="js/libs/modernizr.custom.28731.js"></script>  
  </head>
  
<!-- End of the common head part -->
  <body class="advanced">
    <div id="container">
      <div id="bg-decoration"></div>
      
      <header>
	<nav class="clearfix" >
       	  <ul class="clearfix">
            <li><a href="index.html">Simple Search</a></li>
            <li><a href="advanced.html">Advanced Search</a></li>
            <li><a href="repository.html">Repository Content</a></li>
            <li class="active">Basket<span id="basketTray"/></li>
          </ul>
        </nav>
      </header>
		
      <section id="main">
	<header class="clearfix">
	  <h1>
	    <a href="http://www.textgrid.de"><img id="replogo" src="images/textgridrep_logo.png" alt="TextGrid Repository" /></a>
            <a href="http://de.dariah.eu"><img id="dariahlogo" style="height:75px;padding-left:32px;vertical-align:top;" src="images/DARIAH-DE.png" alt="DARIAH-DE" /></a>
          </h1>
          <h2>Basket</h2>
        </header>
	
        <!-- Basket Management Section -->
	
        <form class="clearfix">
          <input type="hidden" name="formSubmit" value="true"/>
          <div id="leftcol">
	    <div class="expandable-group">
              <h3><label>Manage the Basket</label></h3>
              <div class="expandable-content" id="fulltext-content">
                <div id="rightcol" class="clear-button styled-button">Clear</div>
                <ol id="basketContents"></ol>
                <p>&nbsp;</p>
              </div>
            </div>
	</form>
	
        <!-- Voyant Section -->
	
	<form id="settingsForm" class="clearfix" method="GET" action="results.html">
          <div class="expandable-group">
            <h3><label>Explore with DIGIVOY</label>
	      <a href="http://voyant-tools.org/">
		<img id="voyantlogo" style="height:25px;padding-left:15px;vertical-align:middle;" src="./images/voyant_logo.png" alt="Voyant Tools" />
	      </a>
	    </h3>
            <div class="expandable-content">
              <div id="rightcol" class="voyant-button styled-button" title="Explore with DIGIVOY">Explore</div>
	      <ul>
		<li>
		  <div class="arrow"></div>
		  <!--div class="arrow expanded"></div-->
		  <label>DIGIVOY configuraton</label>
		  (<a href="https://de.dariah.eu/web/guest/digivoy" target="_new">How to use DIGIVOY</a>)
                  <ul style="display:none;">
		    <li>
		      <label class="helptext">Select the tool to be used:
			<select id="tool" name="target"></select>
		      </label>
		      <hr/>
                      <label class="helptext">Select information to be removed from the text:</label>
		      <br/>
                      <table style="border: none;">
			<tr>
			  <td style="border: none;">
			    <p>
			      <label>
				<input type="checkbox" name="e" value="castList" checked style="width:auto;">CastList</label>
			    </p>
			    <p>
			      <label>
				<input type="checkbox" name="e" value="desc" checked style="width:auto;">Desc</label>
			    </p>
			    <p>
			      <label>
				<input type="checkbox" name="e" value="figure" checked style="width:auto;">Figure</label>
			    </p>
			    <p>
			      <label>
				<input type="checkbox" name="e" value="head" checked style="width:auto;">Head</label>
			    </p>
			  </td>
			  <td style="border: none;">
			    <p>
			      <label>
				<input type="checkbox" name="e" value="note" checked style="width:auto;">Note</label>
			    </p>
			    <p>
			      <label>
				<input type="checkbox" name="e" value="speaker" checked style="width:auto;">Speaker</label>
			    </p>
			    <p>
			      <label>
				<input type="checkbox" name="e" value="stage" checked style="width:auto;">Stage</label>
			    </p>
			    <p>
			      <label>
				<input type="checkbox" name="e" value="title" checked style="width:auto;">Title</label>
			    </p>
			  </td>
			</tr>
                      </table>
		    </li>
		  </ul>
		</li>
	      </ul>
            </div>
	  </div>
	</form>
	
	<!-- Collate Section here! -->


<!--
        <form class="clearfix" action="collateResult.html" method="GET">
          <div class="expandable-group">
            <h3><label>Collate!</label>
	      <a href="http://collatex.net">
		<img id="collatexlogo" style="height:28px;padding-left:15px;vertical-align:middle;" src="./images/collatex_logo.png" alt="CollateX" />
	      </a>
	    </h3>
            <div class="expandable-content">
              <button id="rightcol" type="submit" class="collate-button styled-button" title="Explore with CollateX">Collate</button>
              <ul>
                <li>
                  <div class="arrow"></div>
                  <label>Expert CollateX configuration</label>
                  <ul style="display:none;">
                    <li>
                      <label class="helptext">Response format:
                        <select name="responseMimetype" size="1">
                          <option value="text/html" selected="true">HTML</option>
                          <option value="application/json">JSON</option>
                          <option value="application/tei+xml">TEI P5</option>
                          <option value="application/graphml+xml">GraphML</option>
                          <option value="text/plain">Graphviz' DOT</option>
                          <option value="image/svg+xml">SVG</option>
                        </select>
                      </label>
                      <hr/>
                      <label class="helptext">Pre adaptor URI used on XML files: <input type="text" name="preAdaptorUri" min="1" step="1" value="textgrid:2084s"/></label>
                      <br/>
                      <label class="helptext">Post adaptor URI used on CollateX XML results: <input type="text" name="postAdaptorUri" min="1" step="1" value=""/></label>
                      <br/>
                      <label class="helptext">XML tag for splitting large TEI documents: <b>&lt; </b><input type="text" name="splitTag" min="1" step="1" value=""/><b> &gt;</b></label>
                      <br/>
                      <label class="helptext">Algorithm:
                        <select name="algorithm" size="1">
                          <option value="dekker">Dekker</option>
                          <option value="needleman-wunsch">Needleman-Wunsch</option>
                          <option value="medite">MEDITE</option>
                        </select>
                      </label>
                      <br/>
                      <label class="helptext">Token comparator:
                        <select name="comparator" size="1" id="comparator">
                          <option value="equality">Equality</option>
                          <option value="levenshtein">Levenshtein</option>
                        </select>
                      </label>
                      &nbsp;
                      <label  class="helptext" style="display:none;" id="hiddenComparator">Distance <input name="distance" type="number" min="1" step="1" value=""/></label>
                    </li>
                  </ul>
                </li>
              </ul>
            </div>
          </div>
        </form>
-->


      </section>
      
      <footer></footer>
      
    </div> <!--! end of #container -->
    
    <!-- Start of common foot part -->
    <!-- Javascript at the bottom for fast page loading -->
    <script src="js/libs/jquery-1.4.2.js"></script>
    <script src="js/libs/jquery-ui.min.js"></script>
    
    <!-- Only load the datepicker extension if the browser doesn't support this natively -->
    <script>
      yepnope({
      test : Modernizr.inputtypes.date,
      nope : [
      // load scripts to simulate date type
      'js/datepicker.js',
      'css/smoothness/jquery-ui-1.8.11.custom.min.css'
      ]
      });
    </script>    
    <script src="js/plugins.min.js"></script>
    <script src="js/script.js"></script>
    <script src="js/mylibs/jquery.query-2.1.7.js"></script>
    <script src="js/mylibs/jquery.dateFormat-1.0.js"></script>
    <script src="js/mylibs/jquery.flash.min_.js"></script>
    <script src="js/mylibs/jquery.xmlns.js"></script>
    <script src="js/config.js"></script>  
    <script src="js/tgsearchCommon.js"></script>
    <script src="js/jquery.getUrlParam.js"></script>
    <script src="js/voyant.js"></script>  
    <script src="js/collectionBuilder.js"></script>
    <script>
		
      function renderBasket() {
		  $('#basketContents').html('');
			  $(readBasket()).each(function() {
				  var id = this.id;
				  var mainLink = 'browse.html?id='+id;
				  $('#basketContents').append('<li style="padding-bottom:4px;"><h4><a href="#" id="remove" class="delete-button" style="padding-right:8px;"/><a href="'+mainLink+'">'+this.title+'</a></h4></li>');
				  var removeLink = $('#remove')[0];
				  removeLink.removeAttribute('id');
				  removeLink.onclick = function() {
					  basketRemove(id);
					  renderBasket();
					  };
		  });
      }
      
      renderBasket();
      $(".clear-button").click(function () {
		  clearBasket();
		  renderBasket();
      });
      
      initToolSelect($('#tool'));
      $(".voyant-button").click(function () {		  
		  var sel = $('#tool')[0];
		  var toolUrl = sel.options[sel.selectedIndex].value;
		  var documentLinks = [];
		  var ids = readBasket();
		  $(ids).each(function() {
			  var documentId = unescape(this.id);
			  documentLinks.push(filteredTGCrudDataLink(documentId, $('#settingsForm').serialize()));
		  });
		  sendToVoyant(toolUrl, documentLinks.join('\n'));
      });
      
      $(".collate-button").click(function () {
		document.location.href = "collateResult.html";
      });
      
      $("#comparator").change(function() {
		  if ($(this).val() == "levenshtein") {
			$("#hiddenComparator").show();
		  }
		  else {
			$("#hiddenComparator").hide();
		  }
      });
    </script>
  </body>
</html>
